#!/bin/bash

ifconfig eth0 down
ifconfig eth1 down
ifconfig eth2 down

ifconfig eth0 10.0.6.3 netmask 255.255.255.0 up
ifconfig eth1 10.0.2.3 netmask 255.255.255.0 up

echo "1" >/proc/sys/net/ipv4/ip_forward
echo 0 > /proc/sys/net/ipv4/conf/all/rp_filter

mpls labelspace set dev eth1 labelspace 0
mpls ilm add label gen 1000 labelspace 0 
var=`mpls nhlfe add key 0 instructions push gen 1001 nexthop eth0 ipv4 10.0.6.4 |grep key | cut -c 17-26`
mpls xc add ilm_label gen 1000 ilm_labelspace 0 nhlfe_key $var

mpls labelspace set dev eth0 labelspace 0
mpls ilm add label gen 2000 labelspace 0 
var=`mpls nhlfe add key 0 instructions push gen 2001 nexthop eth1 ipv4 10.0.2.2 | grep key |cut -c 17-26`
mpls xc add ilm_label gen 2000 ilm_labelspace 0 nhlfe_key $var

var2=`mpls nhlfe add key 0 instructions push gen 3000 nexthop eth0 ipv4 10.0.6.4 |grep key | cut -c 17-26`
ip route add 172.16.10.0/24 via 10.0.6.4 mpls $var2
