#!/bin/bash

ifconfig eth2 172.16.20.2 netmask 255.255.255.0 up

./openflow/udatapath/ofdatapath ptcp:6634 -D -i eth1,eth2,eth4

dpctl add-flow tcp:127.0.0.1:6634 ip,nw_src=172.16.20.10,nw_dst=172.16.20.20,idle_timeout=0,actions=output:3
dpctl add-flow tcp:127.0.0.1:6634 ip,nw_src=172.16.20.10,nw_dst=172.16.20.3,idle_timeout=0,actions=output:1
dpctl add-flow tcp:127.0.0.1:6634 ip,nw_src=172.16.20.20,nw_dst=172.16.20.10,idle_timeout=0,actions=output:2
dpctl add-flow tcp:127.0.0.1:6634 ip,nw_src=172.16.20.3,nw_dst=172.16.20.10,idle_timeout=0,actions=output:2


dpctl add-flow tcp:127.0.0.1:6634 arp,in_port=3,idle_timeout=0,actions=output:2
dpctl add-flow tcp:127.0.0.1:6634 arp,in_port=1,idle_timeout=0,actions=output:2
dpctl add-flow tcp:127.0.0.1:6634 arp,in_port=2,idle_timeout=0,actions=output:1,output:3


